### Hierarchy

- Checkbox
  - Toggle

### Implements

- ControlValueAccessor
- AfterViewInit

## Index

### Inputs

- _ariaLabel
- _ariaLabelledby
- disabled
- hideLabel
- inline
- label
- name
- nested
- required
- size
- skeleton
- value
- ariaLabel
- ariaLabelledby
- checked
- indeterminate
- offText
- onText

### Outputs

- change
- checkedChange
- click
- indeterminateChange

### Constructors

- constructor

### Properties

- _ariaLabel
- _ariaLabelledby
- _checked
- _indeterminate
- _offValues
- _onValues
- change
- changeDetectorRef
- checkedChange
- click
- currentCheckboxState
- disabled
- formItem
- hideLabel
- i18n
- id
- indeterminateChange
- inline
- inputCheckbox
- label
- name
- nested
- required
- size
- skeleton
- value
- checkboxCount
- toggleCount

### Accessors

- ariaLabel
- ariaLabelledby
- checked
- indeterminate
- offText
- onText

### Methods

- emitChangeEvent
- focusOut
- getOffText
- getOnText
- isTemplate
- ngAfterViewInit
- onChange
- onClick
- onTouched
- propagateChange
- registerOnChange
- registerOnTouched
- setDisabledState
- toggle
- transitionCheckboxState
- writeValue

## Constructors

### constructor

- new Toggle(changeDetectorRef: ChangeDetectorRef, i18n: I18n): Toggle

- Overrides Checkbox.constructor

  - Defined in src/toggle/toggle.component.ts:157

  #### Parameters

  - ##### changeDetectorRef: ChangeDetectorRef

  - ##### i18n: I18n

  #### Returns Toggle

## Properties

### _ariaLabel

@Input({"bindingPropertyName":"ariaLabel"})
_ariaLabel: string = ""

Inherited from Checkbox._ariaLabel

- Defined in src/checkbox/checkbox.component.ts:153

### _ariaLabelledby

@Input({"bindingPropertyName":"ariaLabelledby"})
_ariaLabelledby: string

Inherited from Checkbox._ariaLabelledby

- Defined in src/checkbox/checkbox.component.ts:171

### _checked

_checked: boolean = false

Inherited from Checkbox._checked

- Defined in src/checkbox/checkbox.component.ts:249

### _indeterminate

_indeterminate: boolean = false

Inherited from Checkbox._indeterminate

- Defined in src/checkbox/checkbox.component.ts:253

### Protected _offValues

_offValues: Overridable = this.i18n.getOverridable("TOGGLE.OFF")

- Defined in src/toggle/toggle.component.ts:156

### Protected _onValues

_onValues: Overridable = this.i18n.getOverridable("TOGGLE.ON")

- Defined in src/toggle/toggle.component.ts:157

### change

@Output()
change: EventEmitter<ToggleChange> = new EventEmitter<ToggleChange>()

Overrides Checkbox.change

- Defined in src/toggle/toggle.component.ts:154

### Protected changeDetectorRef

changeDetectorRef: ChangeDetectorRef

Overrides Checkbox.changeDetectorRef

- Defined in src/toggle/toggle.component.ts:161

### checkedChange

@Output()
checkedChange: EventEmitter<boolean> = new EventEmitter<boolean>()

Inherited from Checkbox.checkedChange

- Defined in src/checkbox/checkbox.component.ts:238

### click

@Output()
click: EventEmitter<void> = new EventEmitter<void>()

Inherited from Checkbox.click

- Defined in src/checkbox/checkbox.component.ts:224

### currentCheckboxState

currentCheckboxState: CheckboxState = CheckboxState.Init

Inherited from Checkbox.currentCheckboxState

- Defined in src/checkbox/checkbox.component.ts:258

### disabled

@Input()
disabled: boolean = false

Inherited from Checkbox.disabled

- Defined in src/checkbox/checkbox.component.ts:112

### formItem

@HostBinding({"hostPropertyName":"class.bx--form-item"})
formItem: boolean = true

- Defined in src/toggle/toggle.component.ts:141

### hideLabel

@Input()
hideLabel: boolean = false

Inherited from Checkbox.hideLabel

- Defined in src/checkbox/checkbox.component.ts:120

### Protected i18n

i18n: I18n

- Defined in src/toggle/toggle.component.ts:161

### id

id: string = "toggle-" + Toggle.toggleCount

Overrides Checkbox.id

- Defined in src/toggle/toggle.component.ts:146

### indeterminateChange

@Output()
indeterminateChange: EventEmitter<boolean> = new EventEmitter<boolean>()

Inherited from Checkbox.indeterminateChange

- Defined in src/checkbox/checkbox.component.ts:244

### inline

@Input()
inline: boolean = false

Inherited from Checkbox.inline

- Defined in src/checkbox/checkbox.component.ts:108

### inputCheckbox

@ViewChild({"selector":"inputCheckbox","opts":"{ static: false }"})
inputCheckbox: ElementRef

Inherited from Checkbox.inputCheckbox

- Defined in src/checkbox/checkbox.component.ts:264

### label

@Input()
label: string | TemplateRef<any>

- Defined in src/toggle/toggle.component.ts:131

### name

@Input()
name: string

Inherited from Checkbox.name

- Defined in src/checkbox/checkbox.component.ts:124

### nested

@Input()
nested: boolean

Inherited from Checkbox.nested

- Defined in src/checkbox/checkbox.component.ts:104

### required

@Input()
required: boolean

Inherited from Checkbox.required

- Defined in src/checkbox/checkbox.component.ts:132

### size

@Input()
size: "sm" | "md" = "md"

Overrides Checkbox.size

- Defined in src/toggle/toggle.component.ts:135

### skeleton

@Input()
skeleton: boolean = false

Overrides Checkbox.skeleton

- Defined in src/toggle/toggle.component.ts:139

### value

@Input()
value: CheckboxValue

Inherited from Checkbox.value

- Defined in src/checkbox/checkbox.component.ts:136

### Static checkboxCount

checkboxCount: number = 0

Inherited from Checkbox.checkboxCount

- Defined in src/checkbox/checkbox.component.ts:91

### Static toggleCount

toggleCount: number = 0

- Defined in src/toggle/toggle.component.ts:103

## Accessors

### ariaLabel

@Input({"bindingPropertyName":"aria-label"})
ariaLabel:

Inherited from Checkbox.ariaLabel

- Defined in src/checkbox/checkbox.component.ts:143
- Defined in src/checkbox/checkbox.component.ts:147

### ariaLabelledby

@Input({"bindingPropertyName":"aria-labelledby"})
ariaLabelledby:

Inherited from Checkbox.ariaLabelledby

- Defined in src/checkbox/checkbox.component.ts:161
- Defined in src/checkbox/checkbox.component.ts:165

### checked

@Input()
checked:

Inherited from Checkbox.checked

- Defined in src/checkbox/checkbox.component.ts:210
- Defined in src/checkbox/checkbox.component.ts:217

### indeterminate

@Input()
indeterminate:

Inherited from Checkbox.indeterminate

- Defined in src/checkbox/checkbox.component.ts:178
- Defined in src/checkbox/checkbox.component.ts:201

### offText

@Input()
offText:

- Defined in src/toggle/toggle.component.ts:109
- Defined in src/toggle/toggle.component.ts:113

### onText

@Input()
onText:

- Defined in src/toggle/toggle.component.ts:121
- Defined in src/toggle/toggle.component.ts:125

## Methods

### emitChangeEvent

- emitChangeEvent(): void

- Overrides Checkbox.emitChangeEvent

  - Defined in src/toggle/toggle.component.ts:188

  #### Returns void

### focusOut

@HostListener({"eventName":"focusout"})

- focusOut(): void

- Inherited from Checkbox.focusOut

  - Defined in src/checkbox/checkbox.component.ts:321

  #### Returns void

### getOffText

- getOffText(): Observable<string>

- - Defined in src/toggle/toggle.component.ts:177

  #### Returns Observable<string>

### getOnText

- getOnText(): Observable<string>

- - Defined in src/toggle/toggle.component.ts:181

  #### Returns Observable<string>

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/toggle/toggle.component.ts:200

  #### Parameters

  - ##### value: any

  #### Returns boolean

### ngAfterViewInit

- ngAfterViewInit(): void

- Inherited from Checkbox.ngAfterViewInit

  - Defined in src/checkbox/checkbox.component.ts:381

  #### Returns void

### onChange

- onChange(event: Event): void

- Inherited from Checkbox.onChange

  - Defined in src/checkbox/checkbox.component.ts:328

  #### Parameters

  - ##### event: Event

  #### Returns void

### onClick

- onClick(event: Event): void

- Inherited from Checkbox.onClick

  - Defined in src/checkbox/checkbox.component.ts:335

  #### Parameters

  - ##### event: Event

  #### Returns void

### onTouched

- onTouched(): void

- Inherited from Checkbox.onTouched

  - Defined in src/checkbox/checkbox.component.ts:354

  #### Returns void

### propagateChange

- propagateChange(_: any): void

- Inherited from Checkbox.propagateChange

  - Defined in src/checkbox/checkbox.component.ts:390

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- Inherited from Checkbox.registerOnChange

  - Defined in src/checkbox/checkbox.component.ts:296

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- Inherited from Checkbox.registerOnTouched

  - Defined in src/checkbox/checkbox.component.ts:304

  #### Parameters

  - ##### fn: any

  #### Returns void

### setDisabledState

- setDisabledState(isDisabled: boolean): void

- Overrides Checkbox.setDisabledState

  - Defined in src/toggle/toggle.component.ts:173

  #### Parameters

  - ##### isDisabled: boolean

  #### Returns void

### toggle

- toggle(): void

- Inherited from Checkbox.toggle

  - Defined in src/checkbox/checkbox.component.ts:276

  #### Returns void

### transitionCheckboxState

- transitionCheckboxState(newState: CheckboxState): void

- Inherited from Checkbox.transitionCheckboxState

  - Defined in src/checkbox/checkbox.component.ts:359

  #### Parameters

  - ##### newState: CheckboxState

  #### Returns void

### writeValue

- writeValue(value: any): void

- Inherited from Checkbox.writeValue

  - Defined in src/checkbox/checkbox.component.ts:288

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc